# Authentication

Authentication to the API is performed via `Bearer` token. You can authenticate your request by sending a token in the `Authorization` header of your request. In the following example, replace `YOUR-API-KEY` with your EngineRoom API key. You can request an API key by emailing <dev@engineroom.com.au>

```bash
curl --request GET \
--url "https://api2.engineroom.com.au/public/me" \
--header "Authorization: Bearer YOUR-API-KEY" \
--header "Accept: application/json"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.engineroom.com.au/api/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
